<script>
	import { createEventDispatcher } from 'svelte';
	import { user, login } from '$lib/preferences';
	import Search from './Search.svelte';

	const dispatch = createEventDispatcher();
</script>

<div class="relative z-10 flex-shrink-0 flex h-16 bg-white shadow">
	<button
		class="px-4 border-r border-gray-200 text-gray-500 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500 md:hidden"
		on:click={() => dispatch('open-sidebar')}
	>
		<span class="sr-only">Open sidebar</span>
		<!-- Heroicon name: outline/menu -->
		<svg
			class="h-6 w-6"
			xmlns="http://www.w3.org/2000/svg"
			fill="none"
			viewBox="0 0 24 24"
			stroke="currentColor"
			aria-hidden="true"
		>
			<path
				stroke-linecap="round"
				stroke-linejoin="round"
				stroke-width="2"
				d="M4 6h16M4 12h16M4 18h16"
			/>
		</svg>
	</button>
	<div class="flex-1 px-4 flex justify-between">
		<div class="flex-1 flex">
			<form class="w-full flex md:ml-0" action="#" method="GET">
				<label for="search_field" class="sr-only">Rechercher un station</label>
				<div class="relative w-full text-gray-400 focus-within:text-gray-600">
					<div class="absolute inset-y-0 left-0 flex items-center pointer-events-none">
						<!-- Heroicon name: solid/search -->
						<svg
							class="h-5 w-5"
							xmlns="http://www.w3.org/2000/svg"
							viewBox="0 0 20 20"
							fill="currentColor"
							aria-hidden="true"
						>
							<path
								fill-rule="evenodd"
								d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
								clip-rule="evenodd"
							/>
						</svg>
					</div>
					<Search
						className="flex-1 !h-auto w-full pl-8 pr-3 py-2"
						inputClassName="block w-full h-full border-transparent text-gray-900 placeholder-gray-500 focus:outline-none focus:placeholder-gray-400 focus:ring-0 focus:border-transparent sm:text-sm"
						placeholder="Rechercher une station"
					/>
				</div>
			</form>
		</div>
		<div class="hidden sm:flex ml-4 items-center md:ml-6">
			<nav class="ml-3 relative">
				<ul class="flex items-center gap-x-4">
					{#if !$user}
						<li>
							<button
								on:click={() => login()}
								class="px-3 py-2 text-blue-900 bg-blue-100 hover:bg-blue-200 active:bg-blue-300 rounded-md"
							>
								Se connecter
							</button>
						</li>
					{/if}
				</ul>
			</nav>
		</div>
	</div>
</div>
